Subject: bug#61184: 29.0.60; keymap-local-set and keymap-global-set became less strict

From: Robert Pluim <[email-masked]>
Date: Tue, 31 Jan 2023 11:23:36 +0100

(and redirecting back to bug#61184. EMORECOFFEE this morning)

>>>>> On Tue, 31 Jan 2023 11:08:41 +0100, Stephen Berman <[email-masked]> said:

    >> 
    >> OK. How about this then (why are the `cursor-in-echo-area' shenanigans
    >> necessary? I wonder if thatʼs a bug, since without them we either get
    >> the cursor not showing in the minibuffer for
    >> `read-key-sequence-vector', or we get an extra space displayed by
    >> `read-command')

    Stephen> TIL cursor-in-echo-area :-).  This looks to me like a
    Stephen> good solution

I looked at callint.c to figure out why `read-key-sequence' and
(interactive "K") were different (why *are* they different?)

    Stephen> (though aesthetically I would add a space after the colon in the
    Stephen> read-key-sequence-vector prompt, even though the user input doesn't
    Stephen> appear there).

If you do that you get two spaces between the colon and the cursor.

Robert
--